commit:     4d58f156330aae627f4c2fb1e2739a01f843e74e
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 22 16:39:09 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 16:39:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d58f156

dev-libs/libinput: Version bump to 1.6.2

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-libs/libinput/Manifest              |  1 +
 dev-libs/libinput/libinput-1.6.2.ebuild | 56 +++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-libs/libinput/Manifest b/dev-libs/libinput/Manifest
index 9378439bd9..8fa5754611 100644
--- a/dev-libs/libinput/Manifest
+++ b/dev-libs/libinput/Manifest
@@ -2,3 +2,4 @@ DIST libinput-1.4.2.tar.xz 900776 SHA256 
8c38826a785594811bef6a9daadbfa2e172e3f0
 DIST libinput-1.5.4.tar.xz 927448 SHA256 
6f9ad1ede468bd54ec4469b8a4eb93a6f62f7fe6480c7a43e36c5d58cc2822b7 SHA512 
114f436806fd27ece2b19577eefd3f6299cc88612f8437fd07ba1862c0bf4347ac5cc09fad9f798a5e242abd176cfb271fa52af04b0ef88da3210a96fd57a086
 WHIRLPOOL 
d7c2ffd8212c4808641b65f553ea6c1553188a30279f8e3491767a8ba159d42dbd30a0cebc3a727542a83cf216c17d1b5f1504dc8fbb4f7b5664aac35b8032dc
 DIST libinput-1.6.0.tar.xz 927656 SHA256 
b7534f518d735c643aedca2fb4694683dfddc8d0600cfb628c87a18e65255832 SHA512 
0e52f70fc5b1aa1e9c0621770ba2530f1652611aff1a557ac8083559e22293942d7c468f9bafe9e97e4f71e71df6f3828f9949d8897bea26982045340e3edc92
 WHIRLPOOL 
b41858d727eb27dbcd4025212731fe93e3970f7d36e8654bc5b121b3a6a3d6c1ca6117750d02b54db908d118d1b84a0eec5581b88a517635ffece5fb1378dae2
 DIST libinput-1.6.1.tar.xz 926988 SHA256 
9d816f13eee63bcca0e9c3bb652c52ab55f39be4d1b90b54e4bfd1dc92ef55a8 SHA512 
b18fdbfa58c14d6a5d183da3c1097d31f7dd9cce41ea69ddfa0bbd1bf8572aaa8e1ecaacdc30e3cc5e21cd320ea106ec86800a24e8f571bce61a02ddc7d43511
 WHIRLPOOL 
bf7ca3c5968827fd73592f56d1e3a1c7897b1bd12fc431e98550ad36aa147f4c39ccb41092ef84d0cb739960c53bfa1b3a62cf7f30fdf7a77da90ba91e6db96e
+DIST libinput-1.6.2.tar.xz 929180 SHA256 
96fc0e0b24a96042b16e561201979dfa4a3f00a642538195c62f72b79f4084fa SHA512 
f1e1436ec4259ebddf93a50fe4d39a52713efd246a39a072b44bf296a413bdadbb789d6a4f0107ed3eb37afe34a37a43c9e75dcf814462385011eff2d3f42db7
 WHIRLPOOL 
e9ed43ab8efb5b984a8c431e82880a691f7c94577a7a3789cf1e52c82f8aeee70d56474895a349f286f4d7fc845be8302ca7432b8e4801a6233fbe96b0078db3

diff --git a/dev-libs/libinput/libinput-1.6.2.ebuild 
b/dev-libs/libinput/libinput-1.6.2.ebuild
new file mode 100644
index 0000000000..e60d639e4f
--- /dev/null
+++ b/dev-libs/libinput/libinput-1.6.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit udev
+
+DESCRIPTION="Library to handle input devices in Wayland"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/libinput/";
+SRC_URI="https://www.freedesktop.org/software/${PN}/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0/10"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86"
+IUSE="input_devices_wacom test"
+# Tests require write access to udev rules directory which is a no-no for live 
system.
+# Other tests are just about logs, exported symbols and autotest of the test 
library.
+RESTRICT="test"
+
+RDEPEND="
+       input_devices_wacom? ( >=dev-libs/libwacom-0.20 )
+       >=dev-libs/libevdev-0.4
+       >=sys-libs/mtdev-1.1
+       virtual/libudev
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+#      test? (
+#              >=dev-libs/check-0.9.10
+#              dev-util/valgrind
+#              sys-libs/libunwind )
+
+src_prepare() {
+       default
+       # Doc handling in kinda strange but everything
+       # is available in the tarball already.
+       sed -e 's/^\(SUBDIRS =.*\)doc\(.*\)$/\1\2/' \
+               -i Makefile.am Makefile.in || die
+}
+
+src_configure() {
+       # gui can be built but will not be installed
+       # building documentation silently fails with graphviz syntax errors
+       econf \
+               --disable-documentation \
+               --disable-event-gui \
+               $(use_enable input_devices_wacom libwacom) \
+               $(use_enable test tests) \
+               --with-udev-dir="$(get_udevdir)"
+}
+
+src_install() {
+       emake install DESTDIR="${D}"
+       dodoc -r doc/html
+       find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}

Reply via email to